<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaScript ex level 0</title>
</head>

<body>
    <h1>Hello</h1>
    <script>
        //javascript käib body alla script vahale
        //ex 2
        // let myPi =  3.14159;
        let myPi = Math.PI;
        myPi = 2 * myPi;
        console.log(myPi);


        //ex3
        let randomNumber = parseInt(Math.random() * 100);
        console.log('Random number: ' + randomNumber);

        //ex4
        randomNumber = parseInt(Math.round(Math.random() * 10));
        console.log('Random number again: ' + randomNumber);

        //ex5
        // alert('I am annoying feature!');

        //ex 6
        // let isAdult;
        // if (confirm('Please confirm you are over 18 years old!')) {
        //     isAdult = 'The user is over 18 years old';

        // } else {
        //     isAdult = 'The user is a minor'
        // }
        // console.log(isAdult);

        //ex7
        // let repeatCount = 0;
        // let userNumber = parseInt(prompt('Palun sisesta number'));

        // for (i = 0; i <= userNumber; i++) {
        //     console.log(repeatCount);
        //     repeatCount++;
        // }
        // let userNumber = parseInt(prompt('Palun sisesta number'));

        // for (i = 0; i <= userNumber; i++) {
        //     console.log(i);
        // }

        //ex8
        // let currentNumber = 0;
        // let userNumber = parseInt(prompt('Palun sisesta number'));

        // while (currentNumber <= userNumber){
        //     console.log(currentNumber++);

        // }

        //ex9
        // console.log('do while');
        // if (userNumber >= 0) {
        //     currentNumber=0;
        //     do{
        //         console.log(currentNumber++);
        //     } while(currentNumber <= userNumber);5

        // }

        //Ex10
        
        // function isAdult(userYear, userMonth, userDay) {
        //     let currentTime = new Date();
        //     let currentYear = currentTime.getFullYear();
        //     let currentMonth = currentTime.getMonth() + 1;
        //     let currentDay = currentTime.getDate();

        //     if ((currentYear - userYear) > 18) {
        //         return true;
        //     } else if (currentYear - userYear === 18) {
        //         if (currentMonth > userMonth) {
        //             return true;
        //         } else if (currentMonth === userMonth) {
        //             return currentTime >= userDay;
        //         } else {
        //             return false;
        //         }
        //     } else {
        //         return false;
        //     }

        // }

        // let myBirthYear = prompt('Your birth year');
        // let myBirtMonth = prompt('Your birth month');
        // let myBirthDate = prompt('your birth day')

        // console.log('Is adult: ' + isAdult(myBirthYear, myBirtMonth, myBirthDate));

        //Ex11
        const displayPersonInfo = (firstName, lastName, profession) => {
            let template = `
            -----------------------
	        Personal details:
	        First name: ${firstName}
 	        Last name: ${lastName}
	        The person is working as a/an ${profession}
	        ----------------------- 
            `;
            console.log(template);
        } ;    

        // let firstName = prompt('First Name');
        // let lastName = prompt('Last Name');
        // let profession = prompt('Profession');
        // displayPersonInfo(firstName, lastName, profession);
    </script>

</body>

</html>